Uploaded image for project: 'Debezium'
  1. Debezium
  2. DBZ-3675

Align Antlr versions used during testing

    XMLWordPrintable

Details

    Description

      The versions used for compilation and grammar testing differ:

      
      [INFO] --- antlr4test-maven-plugin:1.11:test (MySql) @ debezium-ddl-parser ---
      Parsing :/Users/gmorling/Development/debezium/debezium/debezium-ddl-parser/src/test/resources/mysql/examples/ddl_flush.sql
      ANTLR Tool version 4.8 used for code generation does not match the current runtime version 4.7.2ANTLR Runtime version 4.8 used for parser compilation does not match the current runtime version 4.7.2ANTLR Tool version 4.8 used for code generation does not match the current runtime version 4.7.2ANTLR Runtime version 4.8 used for parser compilation does not match the current runtime version 4.7.2Parsing :/Users/gmorling/Development/debezium/debezium/debezium-ddl-parser/src/test/resources/mysql/examples/smoke_tests.sql
      ANTLR Tool version 4.8 used for code generation does not match the current runtime version 4.7.2ANTLR Runtime version 4.8 used for parser compilation does not match the current runtime version 4.7.2ANTLR Tool version 4.8 used for code generation does not match the current runtime version 4.7.2ANTLR Runtime version 4.8 used for parser compilation does not match the current runtime version 4.7.2Parsing :/Users/gmorling/Development/debezium/debezium/debezium-ddl-parser/src/test/resources/mysql/examples/ext_tests.sql
      ANTLR Tool version 4.8 used for code generation does not match the current runtime version 4.7.2ANTLR Runtime version 4.8 used for parser compilation does not match the current runtime version 4.7.2ANTLR Tool version 4.8 used for code generation does not match the current runtime version 4.7.2ANTLR Runtime version 4.8 used for parser compilation does not match the current runtime version 4.7.2Parsing :/Users/gmorling/Development/debezium/debezium/debezium-ddl-parser/src/test/resources/mysql/examples/dml_delete.sql
      ANTLR Tool version 4.8 used for code generation does not match the current runtime version 4.7.2ANTLR Runtime version 4.8 used for parser compilation does not match the current runtime version 4.7.2ANTLR Tool version 4.8 used for code generation does not match the current runtime version 4.7.2ANTLR Runtime version 4.8 used for parser compilation does not match the current runtime version 4.7.2Parsing :/Users/gmorling/Development/debezium/debezium/debezium-ddl-parser/src/test/resources/mysql/examples/optimize.sql
      ANTLR Tool version 4.8 used for code generation does not match the current runtime version 4.7.2ANTLR Runtime version 4.8 used for parser compilation does not match the current runtime version 4.7.2ANTLR Tool version 4.8 used for code generation does not match the current runtime version 4.7.2ANTLR Runtime version 4.8 used for parser compilation does not match the current runtime version 4.7.2Parsing :/Users/gmorling/Development/debezium/debezium/debezium-ddl-parser/src/test/resources/mysql/examples/dml_select.sql
      
      ...
      
      

      Attachments

        Issue Links

          Activity

            People

              gunnar.morling Gunnar Morling
              gunnar.morling Gunnar Morling
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: